body {
    background-color: #f5f5f5;
}

.section-title {
    margin: 50px 0px;
}

.card-arch {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 22px;
    position: relative;
}

.card-1 {
    display: flex;
    flex-direction: column;
    width: 100%;
    color: #0f0f0f;
    cursor: pointer;
    transition: 0.3s;
    padding: 10px;
    border-radius: 5px;
}

.card-1:hover {
    background-color: rgb(227, 227, 227);
}

.card-1:active {
    background-color: rgb(227, 227, 227);
}

.card-title1 {
    display: block;
    font-weight: 700;
    font-size: 14px;
    line-height: 1.6;
    padding-top: 15px;
    margin: 0;
    text-align: right;
    width: 100%;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -webkit-line-clamp: 2;
}

.card-body1 span {
    font-size: 10px;
    margin: 0;
    font-weight: 600;
    color: #646464;
    width: 100%;
    text-align: right;
    margin-top: 5px;
}

.pages {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    cursor: pointer;
    gap: 1em;
    padding: 2em;
    margin: 50px 0px;
}

.page-number {
    background-color: #222222;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 7px;
    color: #ffffff;
    transition: 0.2s;
    font-weight: bold;
}

.actives,
.page-number:hover {
    background-color: #2a2a2a;
    color: #fff;
}

.page {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.page p {
    height: 30px;
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff;
    font-weight: bold;
    font-size: 20px;
    color: #0f0f0f;
}

.page-number:active {
    background-color: #181818;
    color: #fff;
}

.icon {
    background-color: #2a2a2a;
    color: #fff;
    width: 50px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    padding: 5px;
}

.icon:hover {
    background-color: #2a2a2a;
    color: #fff;
}

.icon:active {
    background-color: #181818;
    color: #fff;
}

/* Archives */

@media (max-width: 552px) {
    .card-arch {
        grid-template-columns: 1fr;
    }

    .title-arch {
        justify-content: center;
    }

    .title-arch h2 {
        font-size: 14px;
        width: 186px;
    }

    .card-title1 {
        margin: 0;
        padding: 0;
    }

    .card-1 {
        flex-direction: row;
        width: 100%;
        gap: 10px;
    }

    .card-1 img {
        border-radius: 7px;
        width: 9em;
        object-fit: contain;
    }

    .card-body1 span {
        font-size: 11px;
        color: #646464;
    }

    .pages {
        gap: 0.4em;
    }
}

@media (min-width: 553px) and (max-width: 767px) {
    .card-arch {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    .card-1 {
        flex-direction: column;
        width: 257px;
        gap: 10px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .card-arch {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }

    .card-1 {
        flex-direction: column;
        width: 198px;
        gap: 5px;
    }
}

@media (min-width: 992px) and (max-width: 1200px) {
    .card-arch {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        gap: 13px;
        position: relative;
    }

    .card-1 {
        display: flex;
        flex-direction: column;
        width: 14em;
        cursor: pointer;
        transition: 1s;
    }
}